//------------------------------------------------------------------------------
//                                                                            --
//     USE OF SOFTWARE. This software contains elements of software code      --
//     which is the property of Nallatech Limited (the "Nallatech Software"). --
//     Use of the Nallatech Software by you is permitted only if you hold a   --
//     valid license from Nallatech Limited or a valid sub-license from a     --
//     licensee of Nallatech Limited. Use of such software shall be governed  --
//     by the terms of such license or sub-license agreement.                 --
//                                                                            --
//     This Nallatech Software is protected by copyright law, patent law and  --
//     international treaties. Unauthorized reproduction or distribution of   --
//     this software, or any portion of it, may result in severe civil and    --
//     criminal penalties, and will be prosecuted to the maximum extent       --
//     possible under law.                                                    --
//                                                                            --
//     (c) Copyright 2001 - 2005 Nallatech Limited.                           --
//     All rights reserved.                                                   --
//                                                                            --
//------------------------------------------------------------------------------
//
// DIMEtalk Project : C:\Documents and Settings\kindr\My Documents\2pacf\src-Nallatech-simple\DIMEtalk_H101_PCIxM\cross_correlation.dt3
//
// Filename : C:\Documents and Settings\kindr\My Documents\2pacf\src-Nallatech-simple\DIMEtalk_H101_PCIxM\ExampleC\network.h
//
// Creator : DIMEtalk V3.0
//
// Created : 2/22/2008 9:13:58 PM
//
#ifndef _DTNETWORK
#define _DTNETWORK

#define NUMDEVICES 1
#define NUMNODES 5

DWORD nodeaddr[NUMNODES] = {
   4/* ddr2sram_if_h100_0( DDR2 SRAM 32 Memory Node For Use With H101-E & H101-M )*/
  ,5/* ddr2sram_if_h100_1( DDR2 SRAM 32 Memory Node For Use With H101-E & H101-M )*/
  ,6/* ddr2sram_if_h100_2( DDR2 SRAM 32 Memory Node For Use With H101-E & H101-M )*/
  ,2/* ddr2sram_if_h100_3( DDR2 SRAM 32 Memory Node For Use With H101-E & H101-M )*/
  ,1/* memory_map_0( Simple Memory Map Node )*/
};

/* #defines for all nodes */

#define ddr2sram_if_h100_0 4
#define ddr2sram_if_h100_1 5
#define ddr2sram_if_h100_2 6
#define ddr2sram_if_h100_3 2
#define memory_map_0 1

char *devicefiles[NUMDEVICES] = {
   "h101_pcixm_0.bit" /* h101_pcixm_0*/
};

DWORD deviceinfo[NUMDEVICES][2] = {
   {-1,0}/* h101_pcixm_0*/
};

/* #defines for all devices */

#define h101_pcixm_0 0

// *****DIMEtalk: User Code Start

// *****DIMEtalk: User Code End
#endif
